### Function Reference: `ppplot`

statistics: ppplot (x, dist)
statistics: ppplot (x, dist, params)
statistics: [p, y] = ppplot (x, dist, params)

Perform a PP-plot (probability plot).

If F is the CDF of the distribution dist with parameters params and x a sample vector of length n, the PP-plot graphs ordinate y(i) = F (i-th largest element of x) versus abscissa p(i) = (i - 0.5)/n. If the sample comes from F, the pairs will approximately follow a straight line.

The default for dist is the standard normal distribution.

The optional argument params contains a list of parameters of dist.

For example, for a probability plot of the uniform distribution on [2,4] and x, use

     ppplot (x, "uniform", 2, 4)

dist can be any string for which a function distcdf that calculates the CDF of distribution dist exists.

If no output is requested then the data are plotted immediately. See also: qqplot

Source Code: ppplot